Update Comment
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/comments/:commentId \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>"
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/comments/:commentId"
payload = { "content": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://api.replyke.com/api/v6/:projectId/comments/:commentId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"entityId": "<string>",
"content": "<string>",
"updatedAt": "<string>"
}Comment Endpoints
Update Comment
Update an existing comment’s content
PATCH
/
:projectId
/
comments
/
:commentId
Update Comment
Updates the content of an existing comment. Only the original author or a master client may perform this operation.
Path Parameters
string
required
The ID of the comment to update
Body Parameters
string
required
The updated comment content
Response
Returns the updated comment object.string
Unique comment identifier
string
ID of the entity this comment belongs to
string
Updated comment content
string
Last update timestamp in ISO 8601 format
Error Responses
Missing Data - 400 Bad Request
Missing Data - 400 Bad Request
{
"error": "Missing required data",
"code": "comment/invalid-request"
}
Forbidden - 403 Forbidden
Forbidden - 403 Forbidden
{
"error": "You do not have permission to update this comment.",
"code": "comment/forbidden"
}
Not Found - 404 Not Found
Not Found - 404 Not Found
{
"error": "Comment not found",
"code": "comment/not-found"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error.",
"code": "comment/server-error",
"details": "[error message]"
}
Notes
- Only the author of the comment or a master client can update a comment.
- If the comment doesn’t exist or the user isn’t authorized, appropriate error responses are returned.
⌘I

